FilterMatchers.h File Reference
`#include <RDGeneral/export.h>`
`#include <GraphMol/RDKitBase.h>`
`#include <GraphMol/Substruct/SubstructMatch.h>`
`#include "FilterMatcherBase.h"`
`#include <GraphMol/MolPickler.h>`

Go to the source code of this file.

## Classes

class | RDKit::FilterMatchOps::And
class | RDKit::FilterMatchOps::Or
class | RDKit::FilterMatchOps::Not
class | RDKit::SmartsMatcher
class | RDKit::ExclusionList
class | RDKit::FilterHierarchyMatcher

## Namespaces

| RDKit
| Std stuff.
| RDKit::FilterMatchOps

## Variables

const RDKIT_FILTERCATALOG_EXPORT char * | RDKit::SMARTS_MATCH_NAME_DEFAULT